Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.model.api.filterExtension.interfaces
Interface IBirtFilterOperatorConstants

    public interface IBirtFilterOperatorConstants

IBirtFilterOperatorConstants

Field Summary
`static int` | `FILTER_OPERATOR_BETWEEN`
`static int` | `FILTER_OPERATOR_BOTTOM_N`
`static int` | `FILTER_OPERATOR_BOTTOM_PERCENT`
`static int` | `FILTER_OPERATOR_EQ`
`static int` | `FILTER_OPERATOR_FALSE`
`static int` | `FILTER_OPERATOR_GE`
`static int` | `FILTER_OPERATOR_GT`
`static int` | `FILTER_OPERATOR_IN`
`static int` | `FILTER_OPERATOR_LE`
`static int` | `FILTER_OPERATOR_LIKE`
`static int` | `FILTER_OPERATOR_LT`
`static int` | `FILTER_OPERATOR_MATCH`
`static int` | `FILTER_OPERATOR_NE`
`static int` | `FILTER_OPERATOR_NOT_BETWEEN`
`static int` | `FILTER_OPERATOR_NOT_IN`
`static int` | `FILTER_OPERATOR_NOT_LIKE`
`static int` | `FILTER_OPERATOR_NOT_MATCH`
`static int` | `FILTER_OPERATOR_NOT_NULL`
`static int` | `FILTER_OPERATOR_NULL`
`static int` | `FILTER_OPERATOR_TOP_N`
`static int` | `FILTER_OPERATOR_TOP_PERCENT`
`static int` | `FILTER_OPERATOR_TRUE`

Field Detail

### FILTER_OPERATOR_EQ

    static final int FILTER_OPERATOR_EQ

### FILTER_OPERATOR_NE

    static final int FILTER_OPERATOR_NE

### FILTER_OPERATOR_LT

    static final int FILTER_OPERATOR_LT

### FILTER_OPERATOR_LE

    static final int FILTER_OPERATOR_LE

### FILTER_OPERATOR_GE

    static final int FILTER_OPERATOR_GE

### FILTER_OPERATOR_GT

    static final int FILTER_OPERATOR_GT

### FILTER_OPERATOR_BETWEEN

    static final int FILTER_OPERATOR_BETWEEN

### FILTER_OPERATOR_NOT_BETWEEN

    static final int FILTER_OPERATOR_NOT_BETWEEN

### FILTER_OPERATOR_NULL

    static final int FILTER_OPERATOR_NULL

### FILTER_OPERATOR_NOT_NULL

    static final int FILTER_OPERATOR_NOT_NULL

### FILTER_OPERATOR_TRUE

    static final int FILTER_OPERATOR_TRUE

### FILTER_OPERATOR_FALSE

    static final int FILTER_OPERATOR_FALSE

### FILTER_OPERATOR_LIKE

    static final int FILTER_OPERATOR_LIKE

### FILTER_OPERATOR_TOP_N

    static final int FILTER_OPERATOR_TOP_N

### FILTER_OPERATOR_BOTTOM_N

    static final int FILTER_OPERATOR_BOTTOM_N

### FILTER_OPERATOR_TOP_PERCENT

    static final int FILTER_OPERATOR_TOP_PERCENT

### FILTER_OPERATOR_BOTTOM_PERCENT

    static final int FILTER_OPERATOR_BOTTOM_PERCENT

### FILTER_OPERATOR_NOT_IN

    static final int FILTER_OPERATOR_NOT_IN

### FILTER_OPERATOR_MATCH

    static final int FILTER_OPERATOR_MATCH

### FILTER_OPERATOR_NOT_LIKE

    static final int FILTER_OPERATOR_NOT_LIKE

### FILTER_OPERATOR_NOT_MATCH

    static final int FILTER_OPERATOR_NOT_MATCH

### FILTER_OPERATOR_IN

    static final int FILTER_OPERATOR_IN

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.